Subject: Re: linux-next: build failure after merge of the moduleh tree

From: Felipe Balbi <[email-masked]>
Date: Mon, 5 Sep 2011 13:39:50 +0300

Hi,

On Fri, Sep 02, 2011 at 08:32:09PM +0200, Geert Uytterhoeven wrote:
> On Tue, Aug 23, 2011 at 11:59, Felipe Balbi <[email-masked]> wrote:
> > On Tue, Aug 23, 2011 at 03:08:54PM +1000, Stephen Rothwell wrote:
> >> After merging the moduleh tree, today's linux-next build (x86_64
> >> allmodconfig) failed like this:
> >>
> >> drivers/usb/dwc3/dwc3-pci.c: In function 'dwc3_pci_init':
> >> drivers/usb/dwc3/dwc3-pci.c:211:9: error: 'THIS_MODULE' undeclared (first use in this function)
> >>
> >> Caused by the interaction of the module.h split up with commit
> >> 72246da40f37 ("usb: Introduce DesignWare USB3 DRD Driver") from the usb
> >> tree.
> >>
> >> I have applied this patch for today (Greg, this should be applied to your
> >> tree):
> >>
> >> From: Stephen Rothwell <[email-masked]>
> >> Date: Tue, 23 Aug 2011 15:05:25 +1000
> >> Subject: [PATCH] usb: include module.h in the DesignWare USB3 DRD driver
> >>
> >> Fixes this build error:
> >>
> >> drivers/usb/dwc3/dwc3-pci.c: In function 'dwc3_pci_init':
> >> drivers/usb/dwc3/dwc3-pci.c:211:9: error: 'THIS_MODULE' undeclared (first use in this function)
> >>
> >> Signed-off-by: Stephen Rothwell <[email-masked]>
> >> ---
> >>  drivers/usb/dwc3/dwc3-pci.c |    1 +
> >>  1 files changed, 1 insertions(+), 0 deletions(-)
> >>
> >> diff --git a/drivers/usb/dwc3/dwc3-pci.c b/drivers/usb/dwc3/dwc3-pci.c
> >> index 2578595..e3b77d2 100644
> >> --- a/drivers/usb/dwc3/dwc3-pci.c
> >> +++ b/drivers/usb/dwc3/dwc3-pci.c
> >> @@ -38,6 +38,7 @@
> >>   */
> >>
> >>  #include <linux/kernel.h>
> >> +#include <linux/module.h>
> >
> > that was my fault, I didn't know about Paul's commit. Please Greg, apply
> > this to your tree:
> >
> > Acked-by: Felipe Balbi <[email-masked]>
> 
> The include should also be added to drivers/usb/dwc3/core.c and
> drivers/usb/dwc3/dwc3-omap.c,
> cfr. http://kisskb.ellerman.id.au/kisskb/buildresult/4491952/

that's true, here's a patch for that:

From 2b248785ee47dd16bb8fa544f80f7e2e51919e8c Mon Sep 17 00:00:00 2001
From: Felipe Balbi <[email-masked]>
Date: Mon, 5 Sep 2011 13:37:28 +0300
Subject: [PATCH] usb: dwc3: add module.h to dwc3-omap.c and core.c
Organization: Texas Instruments\n

We need that header because of THIS_MODULE.

Reported-by: Geert Uytterhoeven <[email-masked]>
Signed-off-by: Felipe Balbi <[email-masked]>
---
 drivers/usb/dwc3/core.c      |    1 +
 drivers/usb/dwc3/dwc3-omap.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/drivers/usb/dwc3/core.c b/drivers/usb/dwc3/core.c
index 6aa0913..64ba097 100644
--- a/drivers/usb/dwc3/core.c
+++ b/drivers/usb/dwc3/core.c
@@ -37,6 +37,7 @@
  * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
+#include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
 #include <linux/spinlock.h>
diff --git a/drivers/usb/dwc3/dwc3-omap.c b/drivers/usb/dwc3/dwc3-omap.c
index ddbf38a..8a5d6ae 100644
--- a/drivers/usb/dwc3/dwc3-omap.c
+++ b/drivers/usb/dwc3/dwc3-omap.c
@@ -37,6 +37,7 @@
  * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
+#include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
 #include <linux/interrupt.h>
-- 
1.7.6.396.ge0613

I'll send this to Greg once hera is back up and running.

-- 
balbi